Main Page Groups Namespaces

# functor_trait.h File Reference

## Namespaces

namespace | sigc

## Defines

#define | SIGC_FUNCTORS_HAVE_RESULT_TYPE
| If you want to mix functors from a different library with libsigc++ and these functors define `result_type` simply use this macro inside namespace sigc like so:.
#define | SIGC_FUNCTOR_TRAIT(T_functor, T_return)
| If you want to mix functors from a different library with libsigc++ and these functors don't define `result_type` use this macro inside namespace sigc to expose the return type of the functors like so:.